Bug 506514 - HAL daemon fails to start at boot [NEEDINFO]
HAL daemon fails to start at boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 11:44 EDT by Kimmo
Modified: 2010-06-28 09:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sonarguy: needinfo? (ksorala)


Attachments (Terms of Use)
/var/log/dmesg and /var/log/messages (100.78 KB, application/octet-stream)
2009-06-17 11:44 EDT, Kimmo
no flags Details
/var/log/messages (59.12 KB, text/plain)
2009-06-17 11:53 EDT, Kimmo
no flags Details
/var/log/dmesg (41.60 KB, text/plain)
2009-06-17 11:54 EDT, Kimmo
no flags Details

  None (edit)
Description Kimmo 2009-06-17 11:44:44 EDT
Created attachment 348276 [details]
/var/log/dmesg and /var/log/messages

Description of problem:
HAL daemon fails to start after fresh F11 installation. Finalizing installation is not possible as mouse/keyboard are not working.

Version-Release number of selected component (if applicable):
Fedora 11

How reproducible:
Always

Steps to Reproduce:
1. Install F11
2. Boot
3.
  
Actual results:


Expected results:


Additional info:
Normal F11 installation from DVD. No special parameters used.

Fedora F11 is installed to external eSATA HDD (sdc).

Exactly the same problem is being discussed in here: http://forums.fedoraforum.org/showthread.php?t=223372
Comment 1 Kimmo 2009-06-17 11:53:10 EDT
Created attachment 348280 [details]
/var/log/messages
Comment 2 Kimmo 2009-06-17 11:54:31 EDT
Created attachment 348281 [details]
/var/log/dmesg
Comment 3 vossman 2009-07-06 16:12:07 EDT
There is a work-around by downgrading to Fedora 10's HAL, but really for only advanced users:

* Reboot with Fedora 11 Install DVD
* Select Rescue at the menu
* Enable networking eth0 and read-write system

when the prompt appears type:

### set the root
% chroot /mnt/sysimage

### install smbios utils
% yum install libsmbios smbios-utils

### download fedora 10 hal modules:
% wget http://mirrors.kernel.org/fedora/updates/10/x86_64/hal-0.5.12-14.20081027git.fc10.x86_64.rpm
% wget http://mirrors.kernel.org/fedora/updates/10/x86_64/hal-libs-0.5.12-14.20081027git.fc10.x86_64.rpm

### force install fedora 10 hal modules:
% rpm -Uvh --force hal-0.5.12-14.20081027git.fc10.x86_64.rpm hal-libs-0.5.12-14.20081027git.fc10.x86_64.rpm 

and REBOOT

### Note: If yum fails, you will need to rebuild the rpm db:
% rm -fv /var/lib/rpm/__db*
% rpm -v --rebuilddb
Comment 4 vossman 2009-08-27 20:18:27 EDT
the latest version of hal (hal-0.5.12-29.20090226git.fc11.x86_64) fixes this problem on my two boxes. If anyone else can confirm this we can move this bug to fixed.
Comment 5 Scott Glaser 2009-09-09 10:04:52 EDT
Kimmo,

Could you please verify this is fixed as reported in comment #4?


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 udo 2009-09-22 09:27:03 EDT
If 'Finalizing installation is not possible as mouse/keyboard are not working.' means that the Gnome/Xorg session didn't have usable keyboard it may be related to this bug https://bugzilla.redhat.com/show_bug.cgi?id=524352.
The hal version mentioned in comment #4 does not fix this. I need Option  "AllowEmptyInput" "False" in xorg.xonf to be able to use the keyboard/mouse.
Comment 7 vossman 2009-09-22 11:41:08 EDT
I enabled online repo fedora-updates during installation and I had no problems finalizing installation. The only fix for this bug would be to release a new Fedora 11 install disc, which I doubt will happen. Finalizing installation aside, I was not able to use my mouse and keyboard at all unless using workaround or until this fix came about.
Comment 8 Bug Zapper 2010-04-27 11:01:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 09:06:07 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.